﻿//////////////////////////////////////////////
// ProjectLoader.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkAstraeus
{
	struct ProjectLoadQuery ;
	struct ProjectSaveQuery ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../Dll/DllDefines.h"

#include "ProjectLoadResult.h"

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT ProjectLoader final
	{
		private :

			// Constructor, destructor
			ProjectLoader () = delete ;
			~ProjectLoader () = delete ;

		public :

			// Save
			static void save (const ProjectSaveQuery& saveQuery) ;

			// Load
			static ProjectLoadResult load (const ProjectLoadQuery& loadQuery) ;
	} ;
}